Skip to main content
GET
List available options

Path Parameters

type
enum<string>
required

The category of reference data to list.

Available options:
title,
site-type,
file-type,
project-status,
note-type,
permit-status,
appointment-result,
appointment-type,
work-order-status

Query Parameters

page[number]
integer
default:1

The 1-indexed page number to retrieve.

Required range: x >= 1
page[size]
integer
default:30

The number of results per page (max 100).

Required range: 1 <= x <= 100
filter[id]
integer

Exact match on the option's id. Not available for appointment-result, appointment-type, or work-order-status.

filter[name]
string

Partial match on the option's name. Not available for appointment-result, appointment-type, or work-order-status.

filter[description]
string

Partial match on the option's description. Only available for file-type.

sort
string

Field to sort by. Prefix with - for descending. Allowed: name for title, site-type, file-type, project-status, note-type, and permit-status; additionally id and description for file-type; position for project-status; order for permit-status. Not available for appointment-result or appointment-type.

Response

A paginated list of available options for the given type.

data
object[]
current_page
integer

The 1-indexed page number of the current response.

Example:

1

first_page_url
string

The URL of the first page of results.

from
integer | null

The 1-indexed position of the first record in data for this page. Null when the page is empty.

Example:

1

last_page
integer

The number of the final page in the result set.

Example:

4

last_page_url
string

The URL of the last page of results.

Rendered pagination links (previous, numbered pages, next).

next_page_url
string | null

The URL of the next page, or null if this is the last page.

path
string

The endpoint URL without query parameters.

per_page
integer

The number of records requested per page.

Example:

30

prev_page_url
string | null

The URL of the previous page, or null if this is the first page.

to
integer | null

The 1-indexed position of the last record in data for this page. Null when the page is empty.

Example:

30

total
integer

The total number of records across all pages.

Example:

97